## EmpathyCallHandler

EmpathyCallHandler

## Synopsis

                        EmpathyCallHandler;
    EmpathyCallHandler * empathy_call_handler_new_for_contact
                                                            (EmpathyContact *contact);
    EmpathyCallHandler * empathy_call_handler_new_for_channel
                                                            (EmpathyTpCall *call);
    void                empathy_call_handler_start_call     (EmpathyCallHandler *handler);
    void                empathy_call_handler_bus_message    (EmpathyCallHandler *handler,
                                                             GstBus *bus,
                                                             GstMessage *message);

## Object Hierarchy

      GObject
       +----EmpathyCallHandler

## Properties

      "contact"                  EmpathyContact*       : Read / Write
      "tp-call"                  EmpathyTpCall*        : Read / Write

## Signals

      "closed"                                         : Run Last
      "conference-added"                               : Run Last
      "request-resource"                               : Run Last
      "sink-pad-added"                                 : Run Last
      "src-pad-added"                                  : Run Last

## Description

## Details

### EmpathyCallHandler

    typedef struct _EmpathyCallHandler EmpathyCallHandler;

### empathy_call_handler_new_for_contact ()

    EmpathyCallHandler * empathy_call_handler_new_for_contact
                                                            (EmpathyContact *contact);

`contact` : |
Returns : |

### empathy_call_handler_new_for_channel ()

    EmpathyCallHandler * empathy_call_handler_new_for_channel
                                                            (EmpathyTpCall *call);

`call` : |
Returns : |

### empathy_call_handler_start_call ()

    void                empathy_call_handler_start_call     (EmpathyCallHandler *handler);

`handler` : |

### empathy_call_handler_bus_message ()

    void                empathy_call_handler_bus_message    (EmpathyCallHandler *handler,
                                                             GstBus *bus,
                                                             GstMessage *message);

`handler` : |
`bus` : |
`message` : |

## Property Details

### The `"contact"` property

      "contact"                  EmpathyContact*       : Read / Write

The remote contact.

### The `"tp-call"` property

      "tp-call"                  EmpathyTpCall*        : Read / Write

The calls channel wrapper.

## Signal Details

### The `"closed"` signal

    void                user_function                      (EmpathyCallHandler *empathycallhandler,
                                                            gpointer            user_data)               : Run Last

`empathycallhandler` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"conference-added"` signal

    void                user_function                      (EmpathyCallHandler *empathycallhandler,
                                                            FsConference       *arg1,
                                                            gpointer            user_data)               : Run Last

`empathycallhandler` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"request-resource"` signal

    gboolean            user_function                      (EmpathyCallHandler *empathycallhandler,
                                                            guint               arg1,
                                                            guint               arg2,
                                                            gpointer            user_data)               : Run Last

`empathycallhandler` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The `"sink-pad-added"` signal

    void                user_function                      (EmpathyCallHandler *empathycallhandler,
                                                            GstPad             *arg1,
                                                            guint               arg2,
                                                            gpointer            user_data)               : Run Last

`empathycallhandler` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"src-pad-added"` signal

    void                user_function                      (EmpathyCallHandler *empathycallhandler,
                                                            GstPad             *arg1,
                                                            guint               arg2,
                                                            gpointer            user_data)               : Run Last

`empathycallhandler` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.